API DocumentationAddresses

Get addresses by customer

GET
/api/manufacturer/v1/address/customer/{customerId}

Retrieves all addresses associated with the specified customer

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

customerId*integer

ID of the customer to retrieve addresses for

Response Body

application/json

curl -X GET "https://example.com/api/manufacturer/v1/address/customer/1"
[  {    "addressId": 0,    "isBillingAddress": true,    "isShippingAddress": true,    "street1": "string",    "street2": "string",    "city": "string",    "state": "string",    "country": "string",    "countryAlpha2Code": "string",    "countryAlpha3Code": "string",    "jurisdictionIsoCode": "string",    "zip": "string",    "name": "string",    "company": "string",    "phone": "string",    "email": "string",    "residential": true,    "addressType": "string",    "isDeleted": true,    "taxId": "string"  }]

Last updated on